"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../../test-utils");
const INFO_1 = require("./INFO");
describe('BF INFO', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual((0, INFO_1.transformArguments)('bloom'), ['BF.INFO', 'bloom']);
    });
    test_utils_1.default.testWithClient('client.bf.info', async (client) => {
        await client.bf.reserve('key', 0.01, 100);
        const info = await client.bf.info('key');
        assert_1.strict.equal(typeof info, 'object');
        assert_1.strict.equal(info.capacity, 100);
        assert_1.strict.equal(typeof info.size, 'number');
        assert_1.strict.equal(typeof info.numberOfFilters, 'number');
        assert_1.strict.equal(typeof info.numberOfInsertedItems, 'number');
        assert_1.strict.equal(typeof info.expansionRate, 'number');
    }, test_utils_1.GLOBAL.SERVERS.OPEN);
});
