"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../../test-utils");
const RESERVE_1 = require("./RESERVE");
describe('BF RESERVE', () => {
    describe('transformArguments', () => {
        it('simple', () => {
            assert_1.strict.deepEqual((0, RESERVE_1.transformArguments)('key', 0.01, 100), ['BF.RESERVE', 'key', '0.01', '100']);
        });
        it('with EXPANSION', () => {
            assert_1.strict.deepEqual((0, RESERVE_1.transformArguments)('key', 0.01, 100, {
                EXPANSION: 1
            }), ['BF.RESERVE', 'key', '0.01', '100', 'EXPANSION', '1']);
        });
        it('with NONSCALING', () => {
            assert_1.strict.deepEqual((0, RESERVE_1.transformArguments)('key', 0.01, 100, {
                NONSCALING: true
            }), ['BF.RESERVE', 'key', '0.01', '100', 'NONSCALING']);
        });
        it('with EXPANSION and NONSCALING', () => {
            assert_1.strict.deepEqual((0, RESERVE_1.transformArguments)('key', 0.01, 100, {
                EXPANSION: 1,
                NONSCALING: true
            }), ['BF.RESERVE', 'key', '0.01', '100', 'EXPANSION', '1', 'NONSCALING']);
        });
    });
    test_utils_1.default.testWithClient('client.bf.reserve', async (client) => {
        assert_1.strict.equal(await client.bf.reserve('bloom', 0.01, 100), 'OK');
    }, test_utils_1.GLOBAL.SERVERS.OPEN);
});
