"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../../test-utils");
const INCRBY_1 = require("./INCRBY");
describe('CMS INCRBY', () => {
    describe('transformArguments', () => {
        it('single item', () => {
            assert_1.strict.deepEqual((0, INCRBY_1.transformArguments)('key', {
                item: 'item',
                incrementBy: 1
            }), ['CMS.INCRBY', 'key', 'item', '1']);
        });
        it('multiple items', () => {
            assert_1.strict.deepEqual((0, INCRBY_1.transformArguments)('key', [{
                    item: 'a',
                    incrementBy: 1
                }, {
                    item: 'b',
                    incrementBy: 2
                }]), ['CMS.INCRBY', 'key', 'a', '1', 'b', '2']);
        });
    });
    test_utils_1.default.testWithClient('client.cms.incrBy', async (client) => {
        await client.cms.initByDim('key', 1000, 5);
        assert_1.strict.deepEqual(await client.cms.incrBy('key', {
            item: 'item',
            incrementBy: 1
        }), [1]);
    }, test_utils_1.GLOBAL.SERVERS.OPEN);
});
