"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../../test-utils");
const INFO_1 = require("./INFO");
describe('CMS INFO', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual((0, INFO_1.transformArguments)('key'), ['CMS.INFO', 'key']);
    });
    test_utils_1.default.testWithClient('client.cms.info', async (client) => {
        await client.cms.initByDim('key', 1000, 5);
        assert_1.strict.deepEqual(await client.cms.info('key'), {
            width: 1000,
            depth: 5,
            count: 0
        });
    }, test_utils_1.GLOBAL.SERVERS.OPEN);
});
