"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../../test-utils");
const MERGE_1 = require("./MERGE");
describe('CMS MERGE', () => {
    describe('transformArguments', () => {
        it('without WEIGHTS', () => {
            assert_1.strict.deepEqual((0, MERGE_1.transformArguments)('dest', ['src']), ['CMS.MERGE', 'dest', '1', 'src']);
        });
        it('with WEIGHTS', () => {
            assert_1.strict.deepEqual((0, MERGE_1.transformArguments)('dest', [{
                    name: 'src',
                    weight: 1
                }]), ['CMS.MERGE', 'dest', '1', 'src', 'WEIGHTS', '1']);
        });
    });
    test_utils_1.default.testWithClient('client.cms.merge', async (client) => {
        await Promise.all([
            client.cms.initByDim('src', 1000, 5),
            client.cms.initByDim('dest', 1000, 5),
        ]);
        assert_1.strict.equal(await client.cms.merge('dest', ['src']), 'OK');
    }, test_utils_1.GLOBAL.SERVERS.OPEN);
});
