"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../../test-utils");
const INFO_1 = require("./INFO");
describe('CF INFO', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual((0, INFO_1.transformArguments)('cuckoo'), ['CF.INFO', 'cuckoo']);
    });
    test_utils_1.default.testWithClient('client.cf.info', async (client) => {
        await client.cf.reserve('key', 4);
        const info = await client.cf.info('key');
        assert_1.strict.equal(typeof info, 'object');
        assert_1.strict.equal(typeof info.size, 'number');
        assert_1.strict.equal(typeof info.numberOfBuckets, 'number');
        assert_1.strict.equal(typeof info.numberOfFilters, 'number');
        assert_1.strict.equal(typeof info.numberOfInsertedItems, 'number');
        assert_1.strict.equal(typeof info.numberOfDeletedItems, 'number');
        assert_1.strict.equal(typeof info.bucketSize, 'number');
        assert_1.strict.equal(typeof info.expansionRate, 'number');
        assert_1.strict.equal(typeof info.maxIteration, 'number');
    }, test_utils_1.GLOBAL.SERVERS.OPEN);
});
