"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../../test-utils");
const LOADCHUNK_1 = require("./LOADCHUNK");
describe('CF LOADCHUNK', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual((0, LOADCHUNK_1.transformArguments)('item', 0, ''), ['CF.LOADCHUNK', 'item', '0', '']);
    });
    test_utils_1.default.testWithClient('client.cf.loadChunk', async (client) => {
        const [, , { iterator, chunk }] = await Promise.all([
            client.cf.reserve('source', 4),
            client.cf.add('source', 'item'),
            client.cf.scanDump(client.commandOptions({ returnBuffers: true }), 'source', 0)
        ]);
        assert_1.strict.ok(Buffer.isBuffer(chunk));
        assert_1.strict.equal(await client.cf.loadChunk('destination', iterator, chunk), 'OK');
    }, test_utils_1.GLOBAL.SERVERS.OPEN);
});
