"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../../test-utils");
const RESERVE_1 = require("./RESERVE");
describe('CF RESERVE', () => {
    describe('transformArguments', () => {
        it('simple', () => {
            assert_1.strict.deepEqual((0, RESERVE_1.transformArguments)('key', 4), ['CF.RESERVE', 'key', '4']);
        });
        it('with EXPANSION', () => {
            assert_1.strict.deepEqual((0, RESERVE_1.transformArguments)('key', 4, {
                EXPANSION: 1
            }), ['CF.RESERVE', 'key', '4', 'EXPANSION', '1']);
        });
        it('with BUCKETSIZE', () => {
            assert_1.strict.deepEqual((0, RESERVE_1.transformArguments)('key', 4, {
                BUCKETSIZE: 2
            }), ['CF.RESERVE', 'key', '4', 'BUCKETSIZE', '2']);
        });
        it('with MAXITERATIONS', () => {
            assert_1.strict.deepEqual((0, RESERVE_1.transformArguments)('key', 4, {
                MAXITERATIONS: 1
            }), ['CF.RESERVE', 'key', '4', 'MAXITERATIONS', '1']);
        });
    });
    test_utils_1.default.testWithClient('client.cf.reserve', async (client) => {
        assert_1.strict.equal(await client.cf.reserve('key', 4), 'OK');
    }, test_utils_1.GLOBAL.SERVERS.OPEN);
});
