"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const _1 = require(".");
describe('pushInsertOptions', () => {
    describe('single item', () => {
        it('single item', () => {
            assert_1.strict.deepEqual((0, _1.pushInsertOptions)([], 'item'), ['ITEMS', 'item']);
        });
        it('multiple items', () => {
            assert_1.strict.deepEqual((0, _1.pushInsertOptions)([], ['1', '2']), ['ITEMS', '1', '2']);
        });
    });
    it('with CAPACITY', () => {
        assert_1.strict.deepEqual((0, _1.pushInsertOptions)([], 'item', {
            CAPACITY: 100
        }), ['CAPACITY', '100', 'ITEMS', 'item']);
    });
    it('with NOCREATE', () => {
        assert_1.strict.deepEqual((0, _1.pushInsertOptions)([], 'item', {
            NOCREATE: true
        }), ['NOCREATE', 'ITEMS', 'item']);
    });
    it('with CAPACITY and NOCREATE', () => {
        assert_1.strict.deepEqual((0, _1.pushInsertOptions)([], 'item', {
            CAPACITY: 100,
            NOCREATE: true
        }), ['CAPACITY', '100', 'NOCREATE', 'ITEMS', 'item']);
    });
});
