"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../../test-utils");
const INFO_1 = require("./INFO");
describe('TOPK INFO', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual((0, INFO_1.transformArguments)('key'), ['TOPK.INFO', 'key']);
    });
    test_utils_1.default.testWithClient('client.topK.info', async (client) => {
        await client.topK.reserve('key', 3);
        const info = await client.topK.info('key');
        assert_1.strict.equal(typeof info, 'object');
        assert_1.strict.equal(info.k, 3);
        assert_1.strict.equal(typeof info.width, 'number');
        assert_1.strict.equal(typeof info.depth, 'number');
        assert_1.strict.equal(typeof info.decay, 'number');
    }, test_utils_1.GLOBAL.SERVERS.OPEN);
});
