"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../../test-utils");
const RESERVE_1 = require("./RESERVE");
describe('TOPK RESERVE', () => {
    describe('transformArguments', () => {
        it('simple', () => {
            assert_1.strict.deepEqual((0, RESERVE_1.transformArguments)('topK', 3), ['TOPK.RESERVE', 'topK', '3']);
        });
        it('with options', () => {
            assert_1.strict.deepEqual((0, RESERVE_1.transformArguments)('topK', 3, {
                width: 8,
                depth: 7,
                decay: 0.9
            }), ['TOPK.RESERVE', 'topK', '3', '8', '7', '0.9']);
        });
    });
    test_utils_1.default.testWithClient('client.topK.reserve', async (client) => {
        assert_1.strict.equal(await client.topK.reserve('topK', 3), 'OK');
    }, test_utils_1.GLOBAL.SERVERS.OPEN);
});
